Loading...
Searching...
No Matches
RDKit::DTags Namespace Reference

## Variables

const unsigned char | StringTag = 0
const unsigned char | IntTag = 1
const unsigned char | UnsignedIntTag = 2
const unsigned char | BoolTag = 3
const unsigned char | FloatTag = 4
const unsigned char | DoubleTag = 5
const unsigned char | VecStringTag = 6
const unsigned char | VecIntTag = 7
const unsigned char | VecUIntTag = 8
const unsigned char | VecBoolTag = 9
const unsigned char | VecFloatTag = 10
const unsigned char | VecDoubleTag = 11
const unsigned char | CustomTag = 0xFE
const unsigned char | EndTag = 0xFF

## Variable Documentation

## BoolTag

const unsigned char RDKit::DTags::BoolTag = 3

Definition at line 357 of file StreamOps.h.

## CustomTag

const unsigned char RDKit::DTags::CustomTag = 0xFE

Definition at line 367 of file StreamOps.h.

## DoubleTag

const unsigned char RDKit::DTags::DoubleTag = 5

Definition at line 359 of file StreamOps.h.

## EndTag

const unsigned char RDKit::DTags::EndTag = 0xFF

Definition at line 368 of file StreamOps.h.

## FloatTag

const unsigned char RDKit::DTags::FloatTag = 4

Definition at line 358 of file StreamOps.h.

## IntTag

const unsigned char RDKit::DTags::IntTag = 1

Definition at line 355 of file StreamOps.h.

## StringTag

const unsigned char RDKit::DTags::StringTag = 0

Definition at line 354 of file StreamOps.h.

## UnsignedIntTag

const unsigned char RDKit::DTags::UnsignedIntTag = 2

Definition at line 356 of file StreamOps.h.

## VecBoolTag

const unsigned char RDKit::DTags::VecBoolTag = 9

Definition at line 363 of file StreamOps.h.

## VecDoubleTag

const unsigned char RDKit::DTags::VecDoubleTag = 11

Definition at line 365 of file StreamOps.h.

## VecFloatTag

const unsigned char RDKit::DTags::VecFloatTag = 10

Definition at line 364 of file StreamOps.h.

## VecIntTag

const unsigned char RDKit::DTags::VecIntTag = 7

Definition at line 361 of file StreamOps.h.

## VecStringTag

const unsigned char RDKit::DTags::VecStringTag = 6

Definition at line 360 of file StreamOps.h.

## VecUIntTag

const unsigned char RDKit::DTags::VecUIntTag = 8

Definition at line 362 of file StreamOps.h.